<div class="input-group {{if this.validation 'has-validation'}}" {{did-insert this.setup}} ...attributes>
  {{! template-lint-disable require-input-label }}
  <Input class="input-article-slug form-control {{if this.validation 'is-invalid'}}" @value={{this.value}} />

  {{#if this.loading}}
    <span class="input-group-text" id="addon-wrapping">
      <div class="spinner-border text-primary spinner-border-sm" role="status">
        <span class="visually-hidden">Loading...</span>
      </div>
    </span>
  {{/if}}

  {{#if this.validation}}
    <div class="invalid-feedback">
      {{t this.validation}}
      {{t "slug-generic-invalid"}}
    </div>
  {{/if}}
</div>